Subject: Re: [DTC PATCH] Add support for decimal, octal and binary based cell values.

From: Segher Boessenkool <[email-masked]>
Date: Fri, 16 Feb 2007 11:23:53 +0100

> I think we should change dtc to follow standard C conventions and do
> it now rather than later.
>
> We've already introduced dtc version compatibilities issues.  I agree
> with Dan that we should fix this now while there are a small handful
> of .dts in existence and we can provide a compat mode flag that
> treats non-prefixed numbers as hex instead of decimal.
>
> (in theory with that we can use dtc to convert old .dts into new .dts)

May I suggest every DTS file start with a version statement?
That way, you can change its format easily whenever you
want.  This would be version of the source language, not the
same thing as version of the generated blob.

Segher